Subject: bug#41409: “guix pull” should show a progress bar for channel updates

From: zimoun <[email-masked]>
Date: Thu, 21 May 2020 13:00:49 +0200

Hi Ricardo,

On Tue, 19 May 2020 at 23:31, Ricardo Wurmus <[email-masked]> wrote:

> When I run “guix pull” (or “guix time-machine”) I see this message
>
>    Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
>
> followed by disconcerting silence.  I can’t tell if it’s doing
> something, nor can I see what the progress is.

Most of the time is fetching from network so if you have a good
network connection, this step is not long enough to be disconcerting.
:-)

In addition to this whislist, it appears to me the same for "Computing
Guix derivation", even there is something moving.

All the best,
simon